﻿Import-Module ServerManager;

# Get Windows Server Version
$WindowsVersion = [environment]::OSVersion.Version

write-output "Install .NET Feature";

# Add .NET 3.5 to Windows Server 2008R2 and earlier
If (($WindowsVersion.Major -eq 6) -And ($WindowsVersion.Minor -lt 2)) {
	Add-WindowsFeature AS-Net-Framework;}

# Add .NET 3.5 to Windows Server 2012 and 2012R2
If (($WindowsVersion.Major -eq 6) -And ($WindowsVersion.Minor -ge 2)) {
	Add-WindowsFeature Net-Framework-Core -Source D:\Sources\SxS\;}

# Add .NET 4.6 to Windows Server 2016+
If ($WindowsVersion.Major -eq 10) {
	Add-WindowsFeature Net-Framework-45-Core;}
